<!DOCTYPE>
<html>
<head>
<style>
    td, th 
    {
        border: 1px solid black;
        padding:15px;
        text-align: center;
    }
    table
    {
        width: 100%;
        border-collapse: collapse;
    } 
    a
    {
        text-decoration: none;
        color: grey;
        font-family: cursive;
    }
    
</style>
<script>
    let xhr = new XMLHttpRequest();
    xhr.open('get', 'https://jsonplaceholder.typicode.com/users');
    xhr.responseType="json"
    xhr.send();
    xhr.onload = function()
    {
        fun( xhr.response);
    };
    function fun(k){
        table=document.getElementById("tab");
        for (var i = 0; i <k.length; i++)
        {
            var row =document.createElement("tr");
            for(var j=0; j<5;j++)
            {
                var col=document.createElement("td");
                
                if(j==0)
                {
                    colname=document.createTextNode(k[i].name)
                }
                else if(j==1)
                {
                    colname=document.createTextNode(k[i].email)
                }
                else if(j==2)
                {
                    colname=document.createTextNode(k[i].phone)
                }
                else if(j==3)
                {
                    colname=document.createTextNode(k[i].website)
                }
                else if(j==4)
                {
                    colname=document.createTextNode(k[i].company.name)
                }
                var a=document.createElement('a');
                a.href="./support.html?id="+k[i].id;
                a.appendChild(colname);
                // a.style.textDecoration="none";
                // a.style.color="grey";
                col.appendChild(a);    
                row.appendChild(col);  
                table.appendChild(row);
            }         
        }
        document.body.appendChild(table);
    }
    </script>
</head>
<body>
   <table id="tab" >
       <tr style="font-family: cursive; color: black;">
           <th>NAME</th>
           <th>EMAIL</th>
           <th>PHONE</th>
           <th>WEBSITE</th>
           <th>COMPANY NAME</th>
       </tr>
   </table>

</body>
</html>